net.snowflake.client.core

## Enum SFSessionProperty

- java.lang.Object
- - java.lang.Enum<SFSessionProperty>
  - - net.snowflake.client.core.SFSessionProperty

All Implemented Interfaces:
  Serializable, Comparable<SFSessionProperty>

    public enum SFSessionProperty
    extends Enum<SFSessionProperty>

session properties accepted for opening a new session.

Author:
  jhuang

  Created on 11/3/15

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACCOUNT`
`ALLOW_UNDERSCORES_IN_HOST`
`APP_ID`
`APP_VERSION`
`APPLICATION`
`AUTHENTICATOR`
`CLIENT_INFO`
`DATABASE`
`DISABLE_SOCKS_PROXY`
`ID_TOKEN_PASSWORD`
`INJECT_CLIENT_PAUSE`
`INJECT_SOCKET_TIMEOUT`
`INJECT_WAIT_IN_PUT`
`INSECURE_MODE`
`LOGIN_TIMEOUT`
`NETWORK_TIMEOUT`
`NON_PROXY_HOSTS`
`OCSP_FAIL_OPEN`
`OKTA_USERNAME`
`PASSCODE`
`PASSCODE_IN_PASSWORD`
`PASSWORD`
`PRIVATE_KEY`
`PRIVATE_KEY_FILE`
`PRIVATE_KEY_FILE_PWD`
`PROXY_HOST`
`PROXY_PASSWORD`
`PROXY_PORT`
`PROXY_PROTOCOL`
`PROXY_USER`
`QUERY_TIMEOUT`
`ROLE`
`SCHEMA`
`SERVER_URL`
`STRINGS_QUOTED`
`TOKEN`
`TRACING`
`USE_PROXY`
`USER`
`USER_AGENT_SUFFIX`
`VALIDATE_DEFAULT_PARAMETERS`
`WAREHOUSE`

### Field Summary

Fields
`static Pattern` `APPLICATION_REGEX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getPropertyKey()`
`Class<?>` `getValueType()`
`boolean` `isRequired()`
`static SFSessionProperty` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SFSessionProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SERVER_URL

    public static final SFSessionProperty SERVER_URL

#### USER

    public static final SFSessionProperty USER

#### PASSWORD

    public static final SFSessionProperty PASSWORD

#### ACCOUNT

    public static final SFSessionProperty ACCOUNT

#### DATABASE

    public static final SFSessionProperty DATABASE

#### SCHEMA

    public static final SFSessionProperty SCHEMA

#### PASSCODE_IN_PASSWORD

    public static final SFSessionProperty PASSCODE_IN_PASSWORD

#### PASSCODE

    public static final SFSessionProperty PASSCODE

#### TOKEN

    public static final SFSessionProperty TOKEN

#### ID_TOKEN_PASSWORD

    public static final SFSessionProperty ID_TOKEN_PASSWORD

#### ROLE

    public static final SFSessionProperty ROLE

#### AUTHENTICATOR

    public static final SFSessionProperty AUTHENTICATOR

#### OKTA_USERNAME

    public static final SFSessionProperty OKTA_USERNAME

#### PRIVATE_KEY

    public static final SFSessionProperty PRIVATE_KEY

#### WAREHOUSE

    public static final SFSessionProperty WAREHOUSE

#### LOGIN_TIMEOUT

    public static final SFSessionProperty LOGIN_TIMEOUT

#### NETWORK_TIMEOUT

    public static final SFSessionProperty NETWORK_TIMEOUT

#### INJECT_SOCKET_TIMEOUT

    public static final SFSessionProperty INJECT_SOCKET_TIMEOUT

#### INJECT_CLIENT_PAUSE

    public static final SFSessionProperty INJECT_CLIENT_PAUSE

#### APP_ID

    public static final SFSessionProperty APP_ID

#### APP_VERSION

    public static final SFSessionProperty APP_VERSION

#### OCSP_FAIL_OPEN

    public static final SFSessionProperty OCSP_FAIL_OPEN

#### INSECURE_MODE

    public static final SFSessionProperty INSECURE_MODE

#### QUERY_TIMEOUT

    public static final SFSessionProperty QUERY_TIMEOUT

#### STRINGS_QUOTED

    public static final SFSessionProperty STRINGS_QUOTED

#### APPLICATION

    public static final SFSessionProperty APPLICATION

#### TRACING

    public static final SFSessionProperty TRACING

#### DISABLE_SOCKS_PROXY

    public static final SFSessionProperty DISABLE_SOCKS_PROXY

#### USE_PROXY

    public static final SFSessionProperty USE_PROXY

#### PROXY_HOST

    public static final SFSessionProperty PROXY_HOST

#### PROXY_PORT

    public static final SFSessionProperty PROXY_PORT

#### PROXY_USER

    public static final SFSessionProperty PROXY_USER

#### PROXY_PASSWORD

    public static final SFSessionProperty PROXY_PASSWORD

#### NON_PROXY_HOSTS

    public static final SFSessionProperty NON_PROXY_HOSTS

#### PROXY_PROTOCOL

    public static final SFSessionProperty PROXY_PROTOCOL

#### VALIDATE_DEFAULT_PARAMETERS

    public static final SFSessionProperty VALIDATE_DEFAULT_PARAMETERS

#### INJECT_WAIT_IN_PUT

    public static final SFSessionProperty INJECT_WAIT_IN_PUT

#### PRIVATE_KEY_FILE

    public static final SFSessionProperty PRIVATE_KEY_FILE

#### PRIVATE_KEY_FILE_PWD

    public static final SFSessionProperty PRIVATE_KEY_FILE_PWD

#### CLIENT_INFO

    public static final SFSessionProperty CLIENT_INFO

#### ALLOW_UNDERSCORES_IN_HOST

    public static final SFSessionProperty ALLOW_UNDERSCORES_IN_HOST

#### USER_AGENT_SUFFIX

    public static final SFSessionProperty USER_AGENT_SUFFIX

### Field Detail

#### APPLICATION_REGEX

    public static Pattern APPLICATION_REGEX

### Method Detail

#### values

    public static SFSessionProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SFSessionProperty c : SFSessionProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SFSessionProperty valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isRequired

    public boolean isRequired()

#### getPropertyKey

    public String getPropertyKey()

#### getValueType

    public Class<?> getValueType()